<?xml version="1.0"?>

<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" />

    <!-- Max items output in the HTML -->
    <xsl:variable name="maxFeedItems">3</xsl:variable>

    <!-- Template for the HTML -->
    <xsl:template match="/rss/channel">
        <xsl:for-each select="item">
            <xsl:if test="not(position() > $maxFeedItems)">
                    <!-- Allow for 2 lines of text, ellipsing after -->
                    <a style="font-size: .76rem; word-wrap: break-word">
                        <!-- set the link endpoint -->
                        <xsl:attribute name="href">
                            <xsl:value-of select="link" />
                        </xsl:attribute>

                        <!-- set the unique link ID -->
                        <xsl:attribute name="id">
                            <xsl:value-of select="concat('developer-news-feed-link-', position())" />
                        </xsl:attribute>

                        <xsl:value-of select="title" />
                    </a>

                    <!-- Allow for 1 line of text, ellipsing after -->
                    <div style="display: -webkit-box; font-size: .7rem; overflow: hidden; margin: 8px 0px; text-overflow: ellipsis; -webkit-box-orient: vertical; -webkit-line-clamp: 1; word-wrap: break-word;">
                        <xsl:attribute name="class">
                            news-feed-item-description
                        </xsl:attribute>
                        <xsl:value-of select="description" />
                    </div>

                    <div style="margin-bottom: 18px; font-size: .7rem;">
                        <!-- add class for coloring -->
                        <xsl:attribute name="class">
                            news-feed-item-date
                        </xsl:attribute>

                        <xsl:value-of select="pubDate" />
                    </div>
            </xsl:if>
        </xsl:for-each>
    </xsl:template>

</xsl:stylesheet>