# Description
This module allows Windows Error Reporting (WER) to handle and report native crashes instead of them being silent or reported using the built in crash reporter. 

# Getting the module
This package is published to the vsts internal npm repo. Please refer to their documentation for setting this up. One you are set up, all you need to do is add this package as a dependency and run npm install, as with any other package. 

# Requirements
This module is strictly windows only. 
To use this module, you must have several things available on your build machine installed globally or as dev dependnecies of your project: nan (recommended @2.1), node-gyp, the C++ build tools in Visual Studio 2015, and Python 2.7. The native component builds during npm install, and  will fail if any of these are not present. 
It compiles against Electron 34.1, but should work with other versions and plain Node. The install script in the package.json may need to be edited. If the Node version or bitness it compiles for does not match what you are running it under, it will fail at runtime with a DLL load error that will likely bring down the process, so test this thoroughly. If you are using 32 bit Electron 34.1, and you have the other dependencies present, it should just work. 

# Usage
This module exports as a single method that takes no parameters. Use it as follows: 
Typescript: 
`import enableWer from "enable-wer-windows";`
`enableWer();`
JavaScript:
`require("enable-wer-windows").default();`

This will affect the entire process, and must be run once per process (once for main, once for each renderer process). Any native crash will invoke WER and show a dialog. 

# Contributing
I am open to suggestions, bugfixes, and pull requests. If you want to make a topic branch and develop this, clone the repo , run `npm install` and `typings install`, and use gulp to do build and test related tasks. Please make sure "gulp validate-for-publish" succeeds before doing anything else. This lints and builds and copies a few extra files to prepare for publishing. 

To test changes locally, run npm pack from inside the lib folder to make a tgz archive that other packages can use by pointing npm install at it. 