#pragma once
#include <winuser.h>

struct ColorNameIndexMapEntry
{
    const char* name;
    DWORD index;
};

#define MakeMapEntry(index) { #index, index }

// This map can contain aliases, so the length of this array
// may be greater than the actual number of colors. 
// These colors are defined in winuser.h
ColorNameIndexMapEntry colorNameToIndexMap[] =
{
    MakeMapEntry(COLOR_SCROLLBAR         	     ),
    MakeMapEntry(COLOR_BACKGROUND        	     ),
    MakeMapEntry(COLOR_ACTIVECAPTION     	     ),
    MakeMapEntry(COLOR_INACTIVECAPTION   	     ),
    MakeMapEntry(COLOR_MENU              	     ),
    MakeMapEntry(COLOR_WINDOW            	     ),
    MakeMapEntry(COLOR_WINDOWFRAME       	     ),
    MakeMapEntry(COLOR_MENUTEXT          	     ),
    MakeMapEntry(COLOR_WINDOWTEXT        	     ),
    MakeMapEntry(COLOR_CAPTIONTEXT       	     ),
    MakeMapEntry(COLOR_ACTIVEBORDER      	     ),
    MakeMapEntry(COLOR_INACTIVEBORDER    	     ),
    MakeMapEntry(COLOR_APPWORKSPACE      	     ),
    MakeMapEntry(COLOR_HIGHLIGHT         	     ),
    MakeMapEntry(COLOR_HIGHLIGHTTEXT     	     ),
    MakeMapEntry(COLOR_BTNFACE           	     ),
    MakeMapEntry(COLOR_BTNSHADOW         	     ),
    MakeMapEntry(COLOR_GRAYTEXT          	     ),
    MakeMapEntry(COLOR_BTNTEXT           	     ),
    MakeMapEntry(COLOR_INACTIVECAPTIONTEXT	     ),
    MakeMapEntry(COLOR_BTNHIGHLIGHT      	     ),
    MakeMapEntry(COLOR_3DDKSHADOW				 ),
    MakeMapEntry(COLOR_3DLIGHT   				 ),
    MakeMapEntry(COLOR_INFOTEXT  				 ),
    MakeMapEntry(COLOR_INFOBK    				 ),
    MakeMapEntry(COLOR_HOTLIGHT          		 ),
    MakeMapEntry(COLOR_GRADIENTACTIVECAPTION 	 ),
    MakeMapEntry(COLOR_GRADIENTINACTIVECAPTION	 ),
    MakeMapEntry(COLOR_MENUHILIGHT				 ),
    MakeMapEntry(COLOR_MENUBAR   				 ),

    // aliases
    MakeMapEntry(COLOR_DESKTOP    				 ),
    MakeMapEntry(COLOR_3DFACE     				 ),
    MakeMapEntry(COLOR_3DSHADOW   				 ),
    MakeMapEntry(COLOR_3DHIGHLIGHT				 ),
    MakeMapEntry(COLOR_3DHILIGHT  				 ),
    MakeMapEntry(COLOR_BTNHILIGHT 				 )
};
